Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modelling
Class CommunicatingAgent.Discussion

    java.lang.Object
      sema.Agent.Action
          modelling.CommunicatingAgent.Discussion

All Implemented Interfaces:
  Communicating.Discussion

Enclosing class:
  CommunicatingAgent

public class CommunicatingAgent.Discussion
extends Agent.Action
implements Communicating.Discussion

Action of discuting. The action is paused when the agent waits an answer. The fonction `hear` resumes then the discussion.

Field Summary
`protected Element` | `partenar`

Constructor Summary
`CommunicatingAgent.Discussion(Element partenar)` Corresponds to a discussion with one unique element.

Method Summary
`float` | `resumeStep()` Delates the action of the time to answer.
`float` | `step()` Body of the action.

Methods inherited from class sema.Agent.Action
`close, firstStep, hasBegun, isDisabled, isPaused, pause, pause, resume, resumedStep, start, start, stop, whenEnd, whenPaused, whenRefused, whenStartInPause, whenStopped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### partenar

    protected Element partenar

Constructor Detail

### CommunicatingAgent.Discussion

    public CommunicatingAgent.Discussion(Element partenar)

  Corresponds to a discussion with one unique element.

Method Detail

### step

    public float step()

  Description copied from class: `Agent.Action`
  Body of the action. This is the main code to execute. The value returned is the time (in simulated units) to wait before the next call to the body. A negative value means that the action must end. The main idea of this function is that its execution is intended to be spread on a time that should be coherent with the simulation.

  Typically, a moving agent that is walking would make a step towards a direction then another, and theses steps would be differents calls to step(). Internal variables should be stocked in the action to allow a good step by step execution.

  Overrides:
    `step` in class `Agent.Action`

### resumeStep

    public float resumeStep()

  Delates the action of the time to answer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD